/*
 * Ngmc.h
 *
 *  Created on: Feb 17, 2011
 *      Author: philipp_
 */

#ifndef NGMC_H_
#define NGMC_H_

#include "Parser.h"
#include "NgmReadWriter.h"
#include "NgmRefWriter.h"

#include "Statistics.h"
#include <vector>

using std::vector;

//bool isNucleotide(char const c);
//bool checkRead(char * sequence, int const length);
//void writeRead(char * sequence, int const maxReadLength, std::ostream & output);
int convert(Parser * parser, NgmReadWriter & writer, int maxReadLength,
		int readCount, vector<Statistics*> & jops);
int convertRef(Parser * parser, NgmRefWriter & writer, int padding,
		int readCount);
int convertPairs(Parser * parser, Parser * parserRight,
		NgmReadWriter & writerLeft, NgmReadWriter & writerRight,
		int maxReadLengthLeft, int maxReadLengthRight, unsigned int const checksum
		, vector<Statistics*> & jops_left, vector<Statistics*> & jops_right);
Parser * getParser(char *seqfile);

#endif /* NGMC_H_ */
