#ifndef __CIGARWRITER_H__
#define __CIGARWRITER_H__

#include "GenericReadWriter.h"

class CIGARWriter: public GenericReadWriter {
	public:
		CIGARWriter(char const * const filename) :
			GenericReadWriter(filename) {
		}

	protected:
		virtual void DoWriteProlog(FILE * fp);
		virtual void DoWriteRead(FILE * fp, MappedRead const * const read);
		virtual void DoWriteEpilog(FILE * fp);
};

#endif
