/*
 * Length_Statistcs.h
 *
 *  Created on: May 11, 2011
 *      Author: fritz
 */

#ifndef LENGTH_STATISTCS_H_
#define LENGTH_STATISTCS_H_

#include "Statistics.h"
#include "vector"

using std::vector;

class Length_Statistics: public Statistics {

private:
	vector<int> size;
	virtual void produce_plot();
public:

	Length_Statistics(int max_length, char const * const fileName) {
		this->max_length = max_length;
		this->fileName = string(fileName);
		this->fileName += "_len";
		this->init();

	}

	virtual ~Length_Statistics() {
		this->size.clear();
		string cmd = "rm ";
		cmd += this->fileName;
		system(cmd.c_str());
		this->fileName.clear();

		cmd.clear();
	}

	virtual void init();
	virtual void add(char const * seq);
	virtual void print();
};

#endif /* LENGTH_STATISTCS_H_ */
