/*
 * NgmWriter.h
 *
 *  Created on: May 4, 2011
 *      Author: philipp_
 */

#ifndef NGMREADWRITER_H_
#define NGMREADWRITER_H_

#include "NgmWriter.h"

class NgmReadWriter: public NgmWriter {

private:
	static int const sig = 0x514D474E;
	static int const entryLength = 32;

public:
	NgmReadWriter(char const * const fileName);
	virtual ~NgmReadWriter();

	FilePosition writeRead(char * const sequence, int const maxReadLength);
	FilePosition writeDummy(int const maxReadLength);
//	void writeIndexEntryRead(Entry const * entryLeft, Entry const * entryRight,
//			bool isValid, bool isComplValid);

	void writeIndexEntryRead(Entry const * entryLeft, bool isValid);

	void writeReadHeader(int const maxReadLength, int const readCount,
			int const flags, unsigned int const checksum = 0);

	void reWriteReadHeader(int const maxReadLength,
			int const readCount, int const flags, unsigned int const checksum = 0);
};

#endif /* NGMREADWRITER_H_ */
